読者です 読者をやめる 読者になる 読者になる

vimのBundleでインストールしようとしたらエラった

vim

最近vimの設定とか全然いじってないんだけどひさびさにプラグイン追加してBundleInstall実行したらなんかエラった。

Cloning into /Users/hokamura/.vim/bundle/vim-coffee-script...
error: Malformed value for push.default: simple
error: Must be one of nothing, matching, tracking or current.
fatal: bad config file line 21 in /Users/hokamura/.gitconfig

push.default: simpleがダメらしい。普通にgit使ってる分には動いてるからなんでだろうと思ったらvimに /usr/local/bin へのパスが通ってなくて /usr/bin/git を見てて、こいつのバージョンが古くてsimple対応してないのでエラったみたい。

vimの設定いじる元気がないのでBundleInstallのときだけpush.defaultの設定をコメントアウトした。